templates:
- github
- autotools
- base

catalog:
  title: ${project-name}

variables:
  description: GStreamer open-source multimedia framework - "bad" plugins
  keywords:
  - multimedia
  - framework
  - plugins

  github.user: GStreamer
  github.project: gst-plugins-bad

  extra-provides:
  - nature: pkg-config
    target: gstreamer-plugins-bad
    version: ${version-name}
  extra-requires:
  - nature: pkg-config
    target: gstreamer
    version: ${version-name}
  - nature: pkg-config
    target: gstreamer-plugins-base
    version: ${version-name}
  - nature: freestyle
    target: cuda
  - nature: freestyle
    target: openni2
  - nature: pkg-config
    target: openh264

  branches:
  - '1.12'
  - 1.13.1
  - 1.14.0
  - '1.14'

  bootstrap.command: ./autogen.sh --noconfigure

  configure.with:
  - pkg-config-path=${toolkit.dir}/lib/pkgconfig/

  configure.enable:
  - gtk-doc=no

  configure.after: |
    echo "This is needed because OpenNI2 exports full path libs with -l and the linker does not like that."
    sed -i "s/-l.*libOpenNI2.so/-lOpenNI2/g" ext/openni2/Makefile

versions:
- name: 1.13.1
  variables:
    tag: 1.13.1
    make.flags:
    - ERROR_CFLAGS=""
